## org.apache.xerces.impl
Class XMLDocumentScannerImpl.DTDDispatcher

    java.lang.Object
      org.apache.xerces.impl.XMLDocumentScannerImpl.DTDDispatcher

All Implemented Interfaces:
  XMLDocumentFragmentScannerImpl.Dispatcher

Enclosing class:
  XMLDocumentScannerImpl

    protected final class XMLDocumentScannerImpl.DTDDispatcher

extends java.lang.Object
implements XMLDocumentFragmentScannerImpl.Dispatcher

Dispatcher to handle the internal and external DTD subsets.

Author:
  Andy Clark, IBM

Constructor Summary
`protected` `XMLDocumentScannerImpl.DTDDispatcher()`

Method Summary
`boolean` `dispatch(boolean complete)` Dispatch an XML "event".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDocumentScannerImpl.DTDDispatcher

    protected XMLDocumentScannerImpl.DTDDispatcher()

Method Detail

### dispatch

    public boolean dispatch(boolean complete)
                     throws java.io.IOException,
                            org.apache.xerces.xni.XNIException

  Dispatch an XML "event".

  Specified by:
    `dispatch` in interface `XMLDocumentFragmentScannerImpl.Dispatcher`
  Parameters:
    `complete` - True if this dispatcher is intended to scan and dispatch as much as possible.
  Returns:
    True if there is more to dispatch either from this or a another dispatcher.
  Throws:
    `java.io.IOException` - Thrown on i/o error.
    `org.apache.xerces.xni.XNIException` - Thrown on parse error.

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.